clear all; clc; close all;
%filename = dir('differentY/Yprecursor=0.*.mat');
filename = dir('./Yprecursor=0.2_Le=10_Da=50_Ar=50_Tbl=569_rs=5e-05.mat');
item = 1;
load([filename(item).folder,'/',filename(item).name]);
%% data output
Xb = [];
gap = 10;
for i=1:gap:length(Tresult_history(:,1))
    Xb = [Xb,Tboilpoint([Y1result_history(i,:),Y2result_history(i,:),Y3result_history(i,:)]',phiresult_history(i,:)',rho_d,T_boil_F1,T_boil_F2,T_boil_Pr,Tresult_history(i,:)')];
i
end
%% plot figures
x = Tresult_history(1:end-5,:);
[r,~] = size(x);
z = 0:gap/r/(gap/r + 1):1;
COL = [0,0,1;0.5,0,0.5;1,0,0];
TRUECOL = interp1(linspace(0,1,3),COL,z,'pchip');
set(gcf,'DefaultAxesColorOrder',TRUECOL);

figure(1);
for i = 1:gap:r
    plot(xn',Y1result_history(i,:),'color',TRUECOL(ceil(i/gap)+1,:));axis([0,1,0,1]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)/rs0^2/1e6/4]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])

figure(2);
for i = 1:gap:r
plot(xn',Y2result_history(i,:),'color',TRUECOL(ceil(i/gap)+1,:));axis([0,1,0,1]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])

figure(3);
for i = 1:gap:r
plot(xn',Y3result_history(i,:),'color',TRUECOL(ceil(i/gap)+1,:));axis([0,1,0,1]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])


figure(4)
for i = 1:gap:r
plot(xn',Tresult_history(i,:),'color',TRUECOL(ceil(i/gap)+1,:));axis([0,1,300,500]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])

figure(5)
for i = 1:1:fix(r/gap)
plot(xn,Xb(:,i),'color',TRUECOL(ceil(i)+1,:));axis([0,1,0,1.2]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])

figure(6)
for i = 1:gap:r
semilogy(xn',phiresult_history(i,:),'color',TRUECOL(ceil(i/gap)+1,:));axis([0,1,1e-9,0.1]);hold on;
end
set(gca,'FontName','Arial','FontSize',22)
colormap(interp1(linspace(0,1,size(COL,1)), COL, linspace(0,1,100)));caxis([0, Time_history(end)]);
colorbar;
set(gcf, 'Position' , [100, 100, 700, 600])








